Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417461 - python-openstackclient: Provide a Python 3 subpackage
Summary: python-openstackclient: Provide a Python 3 subpackage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-openstackclient
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Ruzicka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1369025
TreeView+ depends on / blocked
 
Reported: 2017-01-29 15:43 UTC by Paul Belanger
Modified: 2018-01-09 17:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-09 17:06:41 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
RDO 3922 0 None None None 2017-03-03 01:42:52 UTC

Description Paul Belanger 2017-01-29 15:43:31 UTC
Currently python3-ironicclient depends on python3-openstackclient, which is currently not packaged for rawhide.  I've confirmed upstream supports python3, could you please add a subpackage.

Comment 1 Fedora End Of Life 2017-02-28 11:07:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Jan Kurik 2017-08-15 08:28:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 3 Carlos Goncalves 2017-11-20 15:08:11 UTC
python3-openstackclient RPM is available starting from f27. Can we close this bug?

$ dnf info python3-openstackclient
Last metadata expiration check: 6:47:12 ago on Mon 20 Nov 2017 09:20:05 CET.
Available Packages
Name         : python3-openstackclient
Version      : 3.12.0
Release      : 1.fc27
Arch         : noarch
Size         : 1.0 M
Source       : python-openstackclient-3.12.0-1.fc27.src.rpm
Repo         : fedora
Summary      : OpenStack Command-line Client
URL          : http://github.com/openstack/python-openstackclient
License      : ASL 2.0
Description  : python-openstackclient is a unified command-line client for the OpenStack APIs.
             : It is a thin wrapper to the stock python-*client modules that implement the
             : actual REST API client actions.


Note You need to log in before you can comment on or make changes to this bug.